We're updating the issue view to help you get more done. 

UPM does not work in Confluence 3.5 if proxy server requires authentication

Description

Refer to

Confluence 3.5 comes with UPM 1.2.4 as default. Upgrading UPM to 1.3.0 or 1.3.1 does not help. So far there is nothing written in the log I can see, it just keeps spinning (in Install or Upgrade tab where it needs to contact PAC).

Steps to Reproduce

  1. Install Confuence 3.5

  2. Set a proxy with authentication (in my case I used CCproxy). For example, here what I have in setenv.sh:

    1 JAVA_OPTS="-Xms256m -Xmx512m -XX:MaxPermSize=256m $JAVA_OPTS -Djava.awt.headless=true -Dhttp.proxyHost=10.60.1.148 -Dhttp.proxyPort=808 -Dhttp.proxyUser=husein -Dhttp.proxyPassword=husein"
  3. Try access UPM and check on Install or Upgrade tab, it will just spin indefinitely.

  4. jiraissue macro works fine:

    1 {jiraissues:anonymous=true|url=http://jira.atlassian.com/sr/jira.issueviews:searchrequest-xml/temp/SearchRequest.xml?&query=jiraissues&summary=true&description=true&body=true&pid=10470&tempMax=10|columns=type;key;summary}

Environment

None

Testing Notes

None

Security Policy

None

Status

Assignee

Ryan Talusan

Reporter

HuseinA

QA Dev

None

Needs Doc

None

Team

None

External issue ID

None

External issue ID

None

Peer Reviewer

None

Mgr Approver

None

CC

None

Product

None

Payment Model

None

Plugin Key

None

App Key

None

Most Recent Approval Ticket

None

DC app ready for review?

None

Fix versions

Affects versions

1.2.4
1.3.0
1.3.1

Priority

Major